%global momorel 1

%global texmf	%{_datadir}/texmf

%global exec_texhash	[ -x %{_bindir}/texhash ] && %{_bindir}/env - %{_bindir}/texhash 2> /dev/null
%global exec_updmap     [ -x %{_bindir}/updmap-sys ] && %{_bindir}/env - %{_bindir}/updmap-sys 

Summary: Dvipdfm with Asian languages by CID-keyed font technology support
Name: dvipdfmx
Version: 20070518
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Publishing
URL: http://project.ktug.or.kr/dvipdfmx/
%NoSource 0 http://project.ktug.or.kr/dvipdfmx/snapshot/current/%{name}-%{version}.tar.gz 32493f228e727face7e92cf4d23f0438
# config from ptetex
Source1: dvipdfmx.cfg.ptetex
# patches from ptetex
Patch0: dvipdfmx-20050831-leak.patch
Patch1: dvipdfmx-20050831-p.patch
Patch2: dvipdfmx-20061211-time.patch
Patch3: dvipdfmx-20061211-time2.patch
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: kpathsea-devel
BuildRequires: libpng-devel >= 1.2.2
PreReq: sh-utils, tetex >= 3.0
Requires(post): kpathsea, tetex, tetex-dvipsk
Requires(postun): kpathsea, tetex, tetex-dvipsk
Requires: kpathsea, tetex, tetex-common, tetex-dvipsk
Requires: ghostscript-resource

%description
The dvipdfmx (formerly dvipdfm-cjk) project provides an eXtended version of
the dvipdfm, a DVI to PDF translator developed by Mark A. Wicks. The primary
goal of this project is to support multi-byte character encodings and large
character sets for East Asian languages by CID-keyed font technology. The
secondary goal is to support as many features as pdfTeX developed by Han The
Thanh. This project is a combined work of the dvipdfm-jpn project by
Shunsaku Hirata and its modified one, dvipdfm-kor, by Jin-Hwan Cho. 

%prep
%setup -q
#%patch -p1 -b .leak
#%patch1 -p1 -b .optionp
#%patch2 -p1 -b .time
#%patch3 -p1 -b .time2

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

# remove patch backup files
find . -name '*~' | xargs rm -f

%makeinstall texmf=%{buildroot}%{texmf} install
%__ln_s %{_datadir}/ghostscript/Resource %{buildroot}%{texmf}/dvipdfm

# config file from ptetex
mv -f %{buildroot}%{texmf}/dvipdfm/dvipdfmx.cfg %{buildroot}%{texmf}/dvipdfm/dvipdfmx.cfg.orig
install -m 644 %{SOURCE1} %{buildroot}%{texmf}/dvipdfm/dvipdfmx.cfg

mkdir -p %{buildroot}%{texmf}/dvipdfm/{config,CMap}
for i in cid-x.map dvipdfmx.cfg glyphlist.txt dvipdfmx.cfg.orig
do
    mv -f %{buildroot}%{texmf}/dvipdfm/${i} %{buildroot}%{texmf}/dvipdfm/config/${i}
done
for i in EUC-UCS2 UniKSCms-UCS2-H UniKSCms-UCS2-V
do
    mv -f %{buildroot}%{texmf}/dvipdfm/${i} %{buildroot}%{texmf}/dvipdfm/CMap/${i}
done

# No translation at this time.
#%find_lang %name

%post
%{exec_texhash}

%postun
%{exec_texhash}

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc	AUTHORS COPYING ChangeLog INSTALL README  TODO
%{_bindir}/dvipdfmx
%{_bindir}/xbb
%dir	%{texmf}/dvipdfm
%dir	%{texmf}/dvipdfm/config
%config %{texmf}/dvipdfm/config/*
##%config %{texmf}/dvipdfm/cid-x.map
##%config %{texmf}/dvipdfm/dvipdfmx.cfg
##%config %{texmf}/dvipdfm/glyphlist.txt
##%{texmf}/dvipdfm/dvipdfmx.cfg.orig
%{texmf}/dvipdfm/CMap
%{texmf}/dvipdfm/Resource

%changelog
* Tue May 22 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (20070518-1m)
- update to 20070518

* Tue Mar 20 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (20061211-1m)
- update to 20061211
- imported patches from ptetex3 (dvipdfmx-20061211-time.patch, dvipdfmx-20061211-time2.patch)

* Wed Jun 14 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (20050831-3m)
- imported patches from ptetex (dvipdfmx-20050831-leak.patch and dvipdfmx-20050831-p.patch)
- use dvipdfmx.cfg from ptetex so that dvipdfmx works with tetex-3.0

* Wed Mar 03 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (20050831-2m)
- apply Patch1(dvipdfmx-20050831-revert_cid-x.map.patch) and comment out Patch0(dvipdfmx-config.patch)
- - We should revert cid-x.map to that of the previous version since cid-x.map is empty in this version and dvipdfmx cannot find "rml" font and fails to make pdf.
- - Patch1 is imported from Debian (see http://bugs.debian.org/351333).
- - We also need to remove Patch0 to make dvipdfmx functional.

* Tue Dec 27 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (20050831-1m)
- up to 20050831
- no NoSource

* Sun May 16 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (20040411-1m)
- verup

* Wed Mar 17 2004 Toru Hoshina <t@momonga-linux.org>
- (20031207-3m)
- revised spec for enabling rpm 4.2.

* Mon Dec 22 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (20031207-2m)
- change the order of cid-x.map and dvipdfm.map in dvipdfmx.cfg
  (dvipdfmx-config.patch)
- add symlink %{texmfdir}/dvipdfm/Resource -> %{_datadir}/ghostscript/Resource
  and add Requires: ghostscript-resource
- use %%NoSource

* Sat Dec 20 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (20031207-1m)
- dvipdfmx initial revision

* Sat Jul  5 2003 Kenta MURATA <muraken2@nifty.com>
- (0.13.3c-15m)
- Requires: tetex-dvipsk.

* Sat Jul  5 2003 Kenta MURATA <muraken2@nifty.com>
- (0.13.3c-14m)
- PreReq: kpathsea.

* Sat Jul  5 2003 Kenta MURATA <muraken2@nifty.com>
- (0.13.3c-13m)
- synchronize to tetex.

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (0.13.3c-12k)
- /usr/bin/env -> sh-utils in PreReq.

* Sat Apr 20 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.13.3c-10k)
- rebuild against libpng-1.2.2

* Fri Mar 29 2002 Kenta MURATA <muraken@kondara.org>
- (0.13.3c-8k)
- use updmap for extra font map files.

* Sat Jan 19 2002 OZAWA -Crouton- Sakuro <crouton@kondara.org>
- (0.13.3c-6k)
- Fixed changelog typo.

* Fri Jan 18 2002 Motonobu Ichimura <famao@kondara.org>
- (0.13.3c-4k)
- add Require tetex-dvips

* Thu Oct 18 2001 Motonobu Ichimura <famao@kondara.org>
- (0.13.3c-2k)
- sync with Jirai

* Tue Oct 16 2001 Toru Hoshina <t@kondara.org>
- (0.13.2b-6k)
- rebuild against libpng 1.2.0.

* Sat Oct 06 2001 Motonobu Ichimura <famao@kondara.org>
- (0.13.2c-3k)
- up to 0.13.2c
- update japanese patch

* Sat Jun 23 2001 Motonobu Ichimura <famao@kondara.org>
- (0.13.2b-4k)
- import to Mary
- Kondarized

* Thu Jun 21 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2b-4
- apply dvipdfm-jpatch-p0c.patch.gz

* Fri Jun 15 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2b-3
- add out2uni
- apply printf and pagesize patch.

* Tue Jun 12 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2b-2
- apply patch-psspecial.c and jpatch-p0b.
